System Requirements

Web server environment

BlueCart is developed to meet most server configurations ranging from shared hosting accounts to dedicated servers. Actually, there are just two core things that your must have on your host to run BlueCart:

  • PHP version 5.1 or higher;
  • MySQL version 4.1 or higher

This makes BlueCart compatible with almost all servers that support PHP and MySQL. However, we recommend Apache or any interchangeable substitute as the most robust and stable server for your web store.

Other requirements and recommendations include:

  • safe_mod is disabled;
  • GD library is installed;
  • cURL support is enabled;

This PHP extension is required to guarantee the support for safe connections and some payment systems, including PayPal, Authorize.Net and Google Checkout, as well as real-time shipping rate calculators for FedEx and DHL/Airborne;

  • file_uploads is enabled;

.htaccess file (if supported) should have the following directives allowed: DirectoryIndex, Deny, Allow, Options, Order, AddHandler, RewriteEngine, RewriteBase, RewriteCond and RewriteRule.

Server operating system

With respect to the server operating systems, we advise a Unix-like operating system such as FreeBSD or Linux, but a Windows-based server will also work. Our commitment to Unix-like systems is confirmed by their well-known scalability, better security capabilities and higher performance level.

Compatible Hosting Providers

As you see, the requirements for the web server environment are fairly typical, and there are thousands of hosting providers that are going to meet them. If you have not decided on the hosting for your web store yet and are scared of the nightmare to pick one from the mass, please consider a compatible hosting provider from BlueCart Marketplace.

Leave a Reply

Your email address will not be published.

Note: If you are replying to another commenter, click the "Reply to {NAME} ↵" button under their comment!